CREATE BARRIER(7)

NAME
CREATE_BARRIER - create a new barrier

SYNOPSIS

CREATE BARRIER barrier_name

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

CREATE BARRIER is new SQL query specific to Postgres-XC since 0.9.5 that creates a new XLOG record on each node of the cluster consistently. Barrier is created via a 2PC like mechanism from a remote Coordinator in 3 phases with a prepare, execute and ending phases. A new recovery parameter called recovery_target_barrier has been added in recovery.conf. In order to perform a complete PITR recovery, it is necessary to set recovery_target_barrier to the value of a barrier already created. Then distribute recovery.conf to each data folder of each node, and then to restart the nodes one by one.

Default barrier name is dummy_barrier_id. It is used when no barrier name is specified when using CREATE BARRIER.